<?php

namespace App\Enums;

enum PlayerLevel: string
{
    case Amateur = 'amateur';
    case SemiProfessional = 'semi_professional';
    case Professional = 'professional';

    public function label(): string
    {
        return match ($this) {
            self::Amateur => __('enums.player_level.amateur'),
            self::SemiProfessional => __('enums.player_level.semi_professional'),
            self::Professional => __('enums.player_level.professional'),
        };
    }
}
